/*
* JBoss, the OpenSource J2EE webOS
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
package org.jboss.test.cmp2.commerce;

import java.util.Collection;
import javax.ejb.EJBLocalObject; 

public interface ProductCategory extends EJBLocalObject  {
   public long getId();
   public long getSubId();

	public String getName();
	public void setName(String name);

   public Collection getProducts();
   public void setProducts(Collection products);

   public ProductCategory getParent();
   public void setParent(ProductCategory parent);
   public Collection getSubcategories();
   public void setSubcategories(Collection subcategories);

   public ProductCategoryType getType();
   public void setType(ProductCategoryType type);

   public CompositeId getPK();
}
